#!/usr/bin/env python
#
import math
import time


cdef double calc(double x, double y):
    cdef double z = 0.0
    cdef int i
    for i in xrange(1,11):
        z += math.sin(math.pow(x,1./i)) * math.cos(math.pow(y,1./i))
    return z

def run():
    output=[]
    cdef int x
    cdef int y
    cdef double nx
    cdef double ny
    cdef double z
    for x in xrange(1000):
        line=[]
        for y in xrange(1000):
            nx = x/100.
            ny = y/100.
            z = calc(nx,ny) * 255
            line.append(z)
        output.append(line)
    return output


