#!/usr/bin/env python
#
import cincon
import time

def plot(mymap):
    fig = plt.figure()
    im = plt.imshow(mymap,cmap=plt.get_cmap('jet'), vmin=0, vmax=255)
    plt.show()


if __name__ == '__main__':
    output=[]
    start = time.time()
    output = cincon.run()
    end = time.time()
    print "Time elapsed",end-start
    try:
        import matplotlib.pyplot as plt
        plot(output)
    except ImportError as err:
        # Bail gracefully if we're using PyPy
        print "Couldn't import Image or numpy:", str(err)



